Subject: bug#11281: DST has not effect on windows XP when system DST adjustment is disabled

From: Kazuhiro Ito <[email-masked]>
Date: Fri, 23 May 2025 20:23:41 +0900

> > > My suggestion therefore is not to try such tricks in Emacs on Windows,
> > > and not to expect that to produce results that are as accurate as on
> > > Posix platforms.
> > 
> > Thank you for the comment.
> > What do you mean by 'such tricks'?  Using traditional timezone name or
> > using string as a ZONE pamareter?
> 
> Neither.  By "tricks" I meant unchecking the DST option in the Windows
> Control Panel.

I live in Japan and when I set timezone to Japanese Standard Time in
the Windows Control Panel, DST option doesn't appear.  Emacs behaves
as if unchecking the DST option.  So, I think many user do the same
with unchecking the DST option.

> > If the former, what is proper string for ZONE on Windows?
> In Emacs, the only supported TZ strings are those known to MSVCRT
> time-related functions, which are of the form documented here:

Thank you for the information.

-- 
Kazuhiro Ito